Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#42 Rise/set time errors in catalog mode

Major
closed-fixed
5
2004-08-31
2003-04-29
Dave Hahne
No

In version 2.5 on a Palm m505 running OS4.1 when using the
detailed information in any of the catalogs the rise/set/transit time
will change hour for hour with a change in the "observation" time.
Example: For M1 on May 3, 2003 at 9:00 PM (Long 76.383 W, Lat
37.15 N) rise/transit/set times are 4:54 pm, 12:07 am+, and 7:20
am+. If I keep the date the same and change the time to 10:00
PM these times change to 3:54 pm, 11:07 pm, and 6:20 am+.
This problem does not occur with the planetary information.

PS: Thanks for fixing the altitude/azimuth calculations from version
2.1, that was a major problem with my extremely obstructed
horizon.

Discussion

  • Logged In: YES
    user_id=18252

    This sounds like a daylight saving time problem. Which time
    zone and daylight saving rules did you select?

     
    • assigned_to: nobody --> hoenicke
     
  • Dave Hahne
    Dave Hahne
    2003-04-30

    Logged In: YES
    user_id=767691

    I am 5 hours west of GMT and using the North America DST rules. I
    turned these rules off ("No DST") and got the same result.

     
  • Logged In: YES
    user_id=18252

    Sorry for the delay, I resolved it months ago, but as sourceforge
    wasn't working then I forgot about it.

    Will be fixed in 2.5.1. You can get a prerelease from
    http://csd.informatik.uni-oldenburg.de/~hoenicke/astroinfo/

     
    • status: open --> closed-fixed
     
  • Logged In: YES
    user_id=18252